# class Gtk::AboutDialog

### Public Class Methods

show(parent=nil, attributes=nil) click to toggle source

    # File lib/gtk3/about-dialog.rb, line 20
    def show(parent=nil, attributes=nil)
      dialog = new
      (attributes || {}).each do |key, value|
        dialog.send("#{key}=", value)
      end
      if parent
        dialog.modal = true
        dialog.transient_for = parent
        dialog.destroy_with_parent = true
      end
      dialog.present
    end